# NetworkGameList Struct Reference

Structure with information shown in the game list (GUI). More...

`#include <network_gamelist.h>`

## Data Fields

NetworkGameInfo | info
| The game information of this server.
uint32 | ip
| The IP of the game server.
uint16 | port
| The port of the game server.
bool | online
| False if the server did not respond (default status).
bool | manually
| True if the server was added manually.
uint8 | retries
| Number of retries (to stop requerying).
NetworkGameList * | next
| Next pointer to make a linked game list.

## Detailed Description

Structure with information shown in the game list (GUI).

Definition at line 11 of file network_gamelist.h.

The documentation for this struct was generated from the following file:

- src/network/network_gamelist.h